#
# Conditional build:
%bcond_without	doc			# don't build ri/rdoc

%define pkgname log4r
Summary:	Ruby Logging framework
Summary(pl.UTF-8):	Szkielet do logowania w języku Ruby
Name:		ruby-%{pkgname}
Version:	1.1.9
Release:	3
License:	GPL v3
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	5b402b3b8f3735d56f93301f37f149ff
URL:		http://log4r.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
Provides:	ruby-LOG4R
Obsoletes:	ruby-LOG4R
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4r is a comprehensive and flexible logging library written in Ruby
for use in Ruby programs. It features a hierarchical logging system of
any number of levels, custom level names, logger inheritance, multiple
output destinations, execution tracing, custom formatting, thread
safetyness, XML and YAML configuration, and more.

%description -l pl.UTF-8
Log4r to obszerna i elastyczna biblioteka do logowania napisana w
języku Ruby przeznaczona do używania w programach napisanych w tym
języku. Jest to system hierarchicznego logowania z dowolną liczbą
poziomów, własnymi nazwami poziomów, dziedziczeniem loggerów, wieloma
docelowymi wyjściami, śledzeniem wykonywania, własnym formatowaniem,
uwzględnieniem wątków, konfiguracją XML i YAML i innymi.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%__gem_helper spec

%if %{with doc}
rdoc --op rdoc lib
rdoc --ri --op ri lib
rm -r ri/{Object,REXML}
rm ri/cache.ri
rm ri/created.rid
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}
rm -r $RPM_BUILD_ROOT%{ruby_vendorlibdir}/log4r/rdoc

%if %{with doc}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_vendorlibdir}/log4r.rb
%{ruby_vendorlibdir}/log4r
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%if %{with doc}
%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Log4r
%dir %{ruby_ridir}/lib
%{ruby_ridir}/lib/log4r
%endif
%changelog
* Mon Jul 28 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-log4r.git;a=log;h=master

* Mon Jul 28 2014 Elan Ruusamäe <glen@delfi.ee> 2add8a2
- package gemspec, add doc bcond

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> d2a5626
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 9710eae
- up to 1.1.9; build noarch

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> f84d501
- P:ruby-LOG4R

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 108b5e9
- renamed ruby-LOG4R -> ruby-log4r

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> 644a0db
- massive attack: correct ri output path for ruby 1.8.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c70c562
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 738a18d
- converted to UTF-8

* Sat Dec 31 2005 twittner <twittner@pld-linux.org> c004cea
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

* Thu Dec 29 2005 twittner <twittner@pld-linux.org> c530517
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

* Tue Dec 27 2005 twittner <twittner@pld-linux.org> 97b4719
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

* Sat Nov 19 2005 Elan Ruusamäe <glen@pld-linux.org> 8e502f6
- use system ruby macros
- cleanups, corrections, cosmetics

* Wed May 11 2005 aredridel <aredridel@pld-linux.org> 139a0d0
- corrected setup.rb parameters for new version of setup.rb

* Tue May 10 2005 aredridel <aredridel@pld-linux.org> d7d34b8
- up to 3.3.1

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 5c472e2
- spaces->tabs
- formatting

* Mon Sep 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 3edef8a
- pl, don't own ridir

* Mon Sep 06 2004 aredridel <aredridel@pld-linux.org> e3dfea2
- added

* Sat Aug 21 2004 aredridel <aredridel@pld-linux.org> 3ddda40
- is a generic installer
- added

